%define pkg_name        Crypt-OpenSSL-Random
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.3

Summary:       Interface to OpenSSL PRNG methods
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/I/IR/IROBERTS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: openssl-devel
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Crypt::OpenSSL::Random provides the ability to seed and query the OpenSSL
library's pseudo-random number generator


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.04

* Thu Feb 22 2007 Marius FERARU <altblue@n0i.net> - 0.03-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0

* Fri Apr 14 2006 Marius Feraru <altblue@n0i.net> 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
